### Method

# Camel StoreSearch get_match_threads_kind

since: 3.58

#### Declaration [src]

    CamelMatchThreadsKind
    camel_store_search_get_match_threads_kind (
      CamelStoreSearch* self,
      CamelFolderThreadFlags* out_flags
    )

#### Description [src]

Gets the kind of the ‘match-threads’ search statement of the expression as recognized by the last `camel_store_search_rebuild_sync()` call, as one of the `CamelMatchThreadsKind` values.

When it’s other than `CAMEL_MATCH_THREADS_KIND_NONE`, the caller should gather thread-related data with camel_store_search_add_match_threads_items_sync(), after which the caller filters the output to a `CamelStoreSearchIndex`, which can be set back with the camel_store_search_set_result_index().

Available since: 3.58

#### Parameters

`out_flags`

  Type: `CamelFolderThreadFlags`

  Bit-or of `CamelFolderThreadFlags`.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: `CamelMatchThreadsKind`

One of the `CamelMatchThreadsKind` constants, referencing the requested match-threads search.